Google Web Toolkit (Beta)
Search this site:

# Class HTMLTable.CellFormatter

public class HTMLTable.CellFormatter
extends Object
// Superclass of `FlexTable.FlexCellFormatter`
This class contains methods used to format a table's cells.

## Methods

addStyleName(int, int, String) | Adds a style to the specified cell.
ensureElement(int, int) | Gets the element associated with a cell.
getAttr(int, int, String) | Convenience methods to get an attribute on a cell.
getElement(int, int) | Gets the TD element representing the specified cell.
getStyleName(int, int) | Gets a style from a specified row.
isVisible(int, int) | Determines whether or not this cell is visible.
removeStyleName(int, int, String) | Removes a style from the specified cell.
setAlignment(int, int, HasHorizontalAlignment.HorizontalAlignmentConstant, HasVerticalAlignment.VerticalAlignmentConstant) | Sets the horizontal and vertical alignment of the specified cell's contents.
setAttr(int, int, String, String) | Convenience methods to set an attribute on a cell.
setHeight(int, int, String) | Sets the height of the specified cell.
setHorizontalAlignment(int, int, HasHorizontalAlignment.HorizontalAlignmentConstant) | Sets the horizontal alignment of the specified cell.
setStyleName(int, int, String) | Sets the style name associated with the specified cell.
setVerticalAlignment(int, int, HasVerticalAlignment.VerticalAlignmentConstant) | Sets the vertical alignment of the specified cell.
setVisible(int, int, boolean) | Sets whether this cell is visible via the display style property.
setWidth(int, int, String) | Sets the width of the specified cell.
setWordWrap(int, int, boolean) | Sets whether the specified cell will allow word wrapping of its contents.

## Method Detail

### addStyleName

public void addStyleName(int row, int column, String styleName)
Adds a style to the specified cell.

#### Parameters

row
  the cell's row
column
  the cell's column
styleName
  the style name to be added

#### See Also

UIObject.addStyleName(String)

### ensureElement

protected Element ensureElement(int row, int column)
Gets the element associated with a cell. If it does not exist and the subtype allows creation of elements, creates it.

#### Parameters

row
  the cell's row
column
  the cell's column

#### Return Value

the cell's element

### getAttr

protected String getAttr(int row, int column, String attr)
Convenience methods to get an attribute on a cell.

#### Parameters

row
  cell's row
column
  cell's column
attr
  attribute to get

#### Return Value

the attribute's value

### getElement

public Element getElement(int row, int column)
Gets the TD element representing the specified cell.

#### Parameters

row
  the row of the cell to be retrieved
column
  the column of the cell to be retrieved

#### Return Value

the column's TD element

### getStyleName

public String getStyleName(int row, int column)
Gets a style from a specified row.

#### Parameters

row
  the row of the cell which the style while be added to
column
  the column of the cell which the style will be added to

#### Return Value

returns the style name

#### See Also

UIObject.getStyleName()

### isVisible

public boolean isVisible(int row, int column)
Determines whether or not this cell is visible.

#### Parameters

row
  the row of the cell whose visibility is to be set
column
  the column of the cell whose visibility is to be set

#### Return Value

`true` if the object is visible

### removeStyleName

public void removeStyleName(int row, int column, String styleName)
Removes a style from the specified cell.

#### Parameters

row
  the cell's row
column
  the cell's column
styleName
  the style name to be removed

#### See Also

UIObject.removeStyleName(String)

### setAlignment

public void setAlignment(int row, int column, HasHorizontalAlignment.HorizontalAlignmentConstant hAlign, HasVerticalAlignment.VerticalAlignmentConstant vAlign)
Sets the horizontal and vertical alignment of the specified cell's contents.

#### Parameters

row
  the row of the cell whose alignment is to be set
column
  the cell whose alignment is to be set
hAlign
  the cell's new horizontal alignment as specified in HasHorizontalAlignment
vAlign
  the cell's new vertical alignment as specified in HasVerticalAlignment

### setAttr

protected void setAttr(int row, int column, String attrName, String value)
Convenience methods to set an attribute on a cell.

#### Parameters

row
  cell's row
column
  cell's column
attrName
  attribute to set
value
  value to set

### setHeight

public void setHeight(int row, int column, String height)
Sets the height of the specified cell.

#### Parameters

row
  the row of the cell whose height is to be set
column
  the cell whose height is to be set
height
  the cell's new height, in CSS units

### setHorizontalAlignment

public void setHorizontalAlignment(int row, int column, HasHorizontalAlignment.HorizontalAlignmentConstant align)
Sets the horizontal alignment of the specified cell.

#### Parameters

row
  the row of the cell whose alignment is to be set
column
  the cell whose alignment is to be set
align
  the cell's new horizontal alignment as specified in HasHorizontalAlignment.

### setStyleName

public void setStyleName(int row, int column, String styleName)
Sets the style name associated with the specified cell.

#### Parameters

row
  the row of the cell whose style name is to be set
column
  the column of the cell whose style name is to be set
styleName
  the new style name

#### See Also

UIObject.setStyleName(String)

### setVerticalAlignment

public void setVerticalAlignment(int row, int column, HasVerticalAlignment.VerticalAlignmentConstant align)
Sets the vertical alignment of the specified cell.

#### Parameters

row
  the row of the cell whose alignment is to be set
column
  the cell whose alignment is to be set
align
  the cell's new vertical alignment as specified in HasVerticalAlignment.

### setVisible

public void setVisible(int row, int column, boolean visible)
Sets whether this cell is visible via the display style property. The other cells in the row will all shift left to fill the cell's space. So, for example a table with (0,1,2) will become (1,2) if cell 1 is hidden.

#### Parameters

row
  the row of the cell whose visibility is to be set
column
  the column of the cell whose visibility is to be set
visible
  `true` to show the cell, `false` to hide it

### setWidth

public void setWidth(int row, int column, String width)
Sets the width of the specified cell.

#### Parameters

row
  the row of the cell whose width is to be set
column
  the cell whose width is to be set
width
  the cell's new width, in CSS units

### setWordWrap

public void setWordWrap(int row, int column, boolean wrap)
Sets whether the specified cell will allow word wrapping of its contents.

#### Parameters

row
  the row of the cell whose word-wrap is to be set
column
  the cell whose word-wrap is to be set
wrap
  `false` to disable word wrapping in this cell